httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: Apache for win64
Date Wed, 20 Jul 2005 15:42:37 GMT
At 06:23 AM 7/20/2005, Gopikrishnan Sidhardhan wrote:
>Tried building it.  Went on for some time, with lots of warnings like "conversion from
size_t to DWORD: possible loss of data".  Then the build broke with "fatal error LNK1112:
module machine type 'AMD64' conflicts with target machine type 'X86'".
>
>Any ideas, anyone?

Yes - don't try Apache 2.2, try Apache 2.1 alpha and the APR 1.2.0
which isn't quite released yet.

Apache 2.0/APR 0.9 haven't been kept up - making them comply with
Win64's LP64 model would have broken binary compatibility.

Please -do- test Apache 2.1/2.2 candidates as they are announced,
since we've done our level best without a Win64 test box to get
these compiling clean. 

Bill



Mime
View raw message